eoInitGenerator(3)

NAME
eoInitGenerator - turning an eoInit into a generator probably we should only use genrators - and suppress eoInit ??? MS - July 2001

SYNOPSIS

#include <eoInit.h>

Inherits eoF< EOT >.

  Public Member Functions
eoInitGenerator (eoInit< EOT > &_init)
Ctor from a plain eoInit.
virtual EOT operator() ()
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoInit< EOT > & init

Detailed Description

  template<class EOT> class eoInitGenerator< EOT >
turning an eoInit into a generator probably we should only use genrators - and suppress eoInit ??? MS - July 2001

Definition at line 60 of file eoInit.h.

Author

Generated automatically by Doxygen for EO from the source code.